Bug 229983 - Anaconda disk partitioning program can't create extended partitions
Anaconda disk partitioning program can't create extended partitions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-25 09:30 EST by Joseph Hesse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-26 15:01:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Hesse 2007-02-25 09:30:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
The disk partitioning program that comes with Anaconda does not allow extended partitions to be created.  For example, it is not possible to start with an unpartitioned drive, say /dev/hda, and create /dev/hda1 as an extended partition which fills the entire drive and contains the logical partitions /dev/hda5,6,7.

I realize that you can do Ctrl-Alt-F2 to get a command shell and do fdisk /dev/hda.  One problem with this is that, on two of my newer machines, Ctrl-Alt-F7 does not get you back to the installer, it just hangs.  Another problem is that this is not an elegant solution.

I respectively suggest that the paritioning part of the installer be changed to allow an explicit use of fdisk.  I believe Red Hat 6, 7, 8 had this feature.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Try to use Anaconda (Disk Druid?) to create an extended partition.
2.There appears no way to do it.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Jeremy Katz 2007-02-26 15:01:09 EST
"Extended" partitions are an implementation detail and are created on demand as
needed.

Note You need to log in before you can comment on or make changes to this bug.